Skip to main content
https://.thoughtindustries.com

AssessmentAttempts

Returns a paginated list of assessment attempts across your platform, optionally filtered by date range, course, or user

Returns a paginated list of assessment attempts across your platform, optionally filtered by date range, course, or user.

GEThttps://example.thoughtindustries.com/incoming/v2/assessmentAttempts

Example request

curl "https://example.thoughtindustries.com/incoming/v2/assessmentAttempts" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
cursorstringNoqueryPagination cursor returned by a previous response; use to fetch the next page of results.
startDateISO 8601 timestampNoqueryFilters results to attempts created at or after this ISO 8601 timestamp.
endDateISO 8601 timestampNoqueryFilters results to attempts created at or before this ISO 8601 timestamp.
courseIduuidNoqueryFilters results to attempts belonging to the specified course.
userIduuidNoqueryFilters results to attempts belonging to the specified user.
pageintegerNoqueryPage number to retrieve when using offset-based pagination.
perPageintegerNoqueryNumber of assessment attempts to return per page.

Example response

{
  "data": {
    "AssessmentAttempts": {
      "pageInfo": {
        "perPage": 0,
        "cursor": "string",
        "total": 0,
        "hasMore": true
      },
      "assessmentAttempts": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "assessment": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "string",
            "title": "string",
            "minPassingPercent": 0
          },
          "answers": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "question": "string",
              "answer": "string",
              "correct": true,
              "hasDefaultGrade": true
            }
          ],
          "course": {
            "id": "00000000-0000-0000-0000-000000000000",
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "slug": "example-slug",
            "status": "draft",
            "title": "string",
            "sessionIsTitled": true,
            "sampleLesson": {
              "...": "..."
            },
            "sampleLessonId": "00000000-0000-0000-0000-000000000000",
            "sections": [
              {
                "...": "..."
              }
            ],
            "appearanceBlock": "00000000-0000-0000-0000-000000000000",
            "appearanceHash": "string",
            "paywallsBlock": "00000000-0000-0000-0000-000000000000",
            "termsBlock": "00000000-0000-0000-0000-000000000000",
            "confirmationBlock": "00000000-0000-0000-0000-000000000000",
            "courseStartDate": "2024-01-01T00:00:00.000Z",
            "courseEndDate": "2024-01-01T00:00:00.000Z",
            "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
            "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
            "gracePeriodEndDate": "2024-01-01T00:00:00.000Z",
            "seatsLimit": 0,
            "waitlistCount": 0,
            "seatsLimitMet": true,
            "waitlistingEnabled": true,
            "waitlistingTriggered": true,
            "taxable": true,
            "purchasable": true,
            "taxCategory": "00000000-0000-0000-0000-000000000000",
            "fulfillmentCenter": "00000000-0000-0000-0000-000000000000",
            "courseGroup": {
              "...": "..."
            },
            "syllabusTitlesEnabled": true,
            "galleryEnabled": true,
            "workbookEnabled": true,
            "linkedWorkbookEnabled": true,
            "linkedWorkbookSkipEnabled": true,
            "superquizEnabled": true,
            "discussionsEnabled": true,
            "resourcesEnabled": true,
            "meetingsOverviewEnabled": true,
            "recurrenceRule": "string",
            "recurrence": {},
            "readableRecurrenceString": "string",
            "instructorAccessEnabled": true,
            "instructorEmails": [
              "string"
            ],
            "freeWithRegistration": true,
            "priceInCents": 0,
            "instructorAccessPriceInCents": 0,
            "suggestedRetailPriceInCents": 0,
            "alternativePricingType": "membership",
            "alternativePricingRef": 0,
            "accessDays": 0,
            "showProgress": true,
            "annotationsEnabled": true,
            "forceLinearProgress": true,
            "completionTimePerPage": 0,
            "askLearnerPassword": true,
            "roster": true,
            "topicGroupId": "00000000-0000-0000-0000-000000000000",
            "sku": "string",
            "prerequisiteCourses": [
              {
                "...": "..."
              }
            ],
            "prerequisiteLearningPaths": [
              {
                "...": "..."
              }
            ],
            "parentCourseId": "00000000-0000-0000-0000-000000000000",
            "isChild": true,
            "hasMultipleCurrencies": true,
            "prices": [
              {
                "...": "..."
              }
            ],
            "enrollmentActive": true,
            "waitlistActive": true,
            "webinarDates": [
              {
                "...": "..."
              }
            ],
            "webinarTimeZone": "string",
            "meetings": [
              {
                "...": "..."
              }
            ],
            "inPersonEventInfo": {
              "...": "..."
            },
            "currentUserHasAccess": true,
            "location": {
              "...": "..."
            },
            "displayMap": true,
            "publishDate": "2024-01-01T00:00:00.000Z",
            "isActive": true,
            "futurePublishDate": "2024-01-01T00:00:00.000Z",
            "balanceRequirement": 0,
            "awardClaimingOptions": [
              {
                "...": "..."
              }
            ],
            "availabilityStatus": "string",
            "embeddedEnabled": true,
            "displayResults": true,
            "bulkPurchasingEnabled": true,
            "seatTiers": [
              {
                "...": "..."
              }
            ],
            "seatPackages": [
              {
                "...": "..."
              }
            ],
            "lastTierPriceInCents": 0,
            "webinarId": "string",
            "hasChildren": true,
            "customFields": {},
            "kind": "microCourse",
            "rosterSubmittedDate": "2024-01-01T00:00:00.000Z",
            "finalAssessment": "string",
            "scormCollectUserDetails": true,
            "seatsUsedCount": 0,
            "seatsAllocatedCount": 0,
            "webinarDetails": {
              "...": "..."
            },
            "showSyllabusWhileUnenrolled": true,
            "topicGroup": {
              "...": "..."
            },
            "courseGroupTitle": "string",
            "currentUserDueDate": "2024-01-01T00:00:00.000Z"
          },
          "courseId": "00000000-0000-0000-0000-000000000000",
          "user": {
            "id": "00000000-0000-0000-0000-000000000000",
            "email": "string",
            "firstName": "string",
            "abbreviatedName": "string",
            "asset": "string",
            "lastName": "string",
            "name": "string",
            "lastActiveAt": "2024-01-01T00:00:00.000Z",
            "bio": "string",
            "twoFactorEnabled": true,
            "firstInitial": "string",
            "lastInitial": "string",
            "invitedByName": "string",
            "shouldHighlight": true,
            "purchasedCourses": [
              {
                "...": "..."
              }
            ],
            "purchasedBundles": [
              {
                "...": "..."
              }
            ],
            "activeLicense": {
              "...": "..."
            },
            "allocatedLicenses": [
              {
                "...": "..."
              }
            ],
            "allocatedLearningPaths": [
              {
                "...": "..."
              }
            ],
            "attendedMeetings": [
              {
                "...": "..."
              }
            ],
            "waitlistedCourses": [
              {
                "...": "..."
              }
            ],
            "adminClients": [
              {
                "...": "..."
              }
            ],
            "roleKey": "string",
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "string",
            "zipCode": "string",
            "country": "string",
            "telephone": "string",
            "stripeCustomerId": "00000000-0000-0000-0000-000000000000",
            "externalCustomerId": "00000000-0000-0000-0000-000000000000",
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "sfAccountId": "00000000-0000-0000-0000-000000000000",
            "sfContactId": "00000000-0000-0000-0000-000000000000",
            "shippingName": "string",
            "client": {
              "...": "..."
            },
            "clientId": "00000000-0000-0000-0000-000000000000",
            "ref1": "string",
            "ref2": "string",
            "ref3": "string",
            "ref4": "string",
            "ref5": "string",
            "ref6": "string",
            "ref7": "string",
            "ref8": "string",
            "ref9": "string",
            "ref10": "string",
            "lang": "string",
            "preferredCurrency": "string",
            "customFields": {},
            "recommendedTags": [
              {
                "...": "..."
              }
            ],
            "recommendedSlugs": [
              {
                "...": "..."
              }
            ],
            "accessedFlows": [
              "string"
            ],
            "disabled": true,
            "learnerUserId": "00000000-0000-0000-0000-000000000000",
            "managerUserId": "00000000-0000-0000-0000-000000000000",
            "balance": 0,
            "mustVerifyEmail": true,
            "certificatesCount": 0,
            "collaborationsCount": 0,
            "availableCoursesCount": 0,
            "startedCoursesCount": 0,
            "completedCoursesCount": 0
          },
          "createdAt": "2024-01-01T00:00:00.000Z",
          "updatedAt": "2024-01-01T00:00:00.000Z",
          "timeElapsedInSeconds": 0,
          "status": "started",
          "grade": 0,
          "originalGrade": 0,
          "passed": true,
          "assignmentSubmissionId": "00000000-0000-0000-0000-000000000000",
          "questions": [
            {
              "questionId": "string",
              "parentQuestion": "string",
              "body": "string",
              "additionalContent": "string",
              "openEndedResponse": "string",
              "response": "string",
              "fileSubmissionAsset": "string",
              "selectedChoice": {
                "...": "..."
              },
              "type": "string",
              "mustSelectAllCorrectChoices": true,
              "required": true,
              "choices": [
                {
                  "...": "..."
                }
              ],
              "questionCategoryId": "00000000-0000-0000-0000-000000000000",
              "table": {
                "...": "..."
              },
              "tableResponse": {
                "...": "..."
              },
              "gradedAsCorrect": true,
              "hasChoices": true,
              "selectedChoiceOrNoChoiceAvailable": true,
              "questionType": "string",
              "isOpenEndedOrEssay": true,
              "displayOption": "always",
              "preText": "string",
              "preTextDisplayOption": "always",
              "postText": "string",
              "postTextDisplayOption": "always",
              "preText2": "string",
              "preTextDisplayOption2": "always",
              "postText2": "string",
              "postTextDisplayOption2": "always",
              "addAndDeleteRowsEnabled": true,
              "placeholder": "string",
              "preselectedChoices": [
                {
                  "...": "..."
                }
              ],
              "copyAnswerFromQuestionId": "string",
              "copyAnswerFromAssessmentId": "string",
              "isBooleanChoice": true,
              "isImageComparison": true,
              "isMultipleChoice": true,
              "isTable": true,
              "isLikert": true,
              "isOpenEnded": true,
              "isFileSubmission": true,
              "isEssay": true,
              "isSelectBoxes": true,
              "isBooleanChoiceOrMultipleChoice": true,
              "scormInteractionType": "string",
              "shouldDisplayOnResults": true,
              "shouldCheckAnswers": true
            }
          ],
          "topicType": "ad",
          "forgiven": true,
          "topic": {
            "id": "00000000-0000-0000-0000-000000000000",
            "originalId": "00000000-0000-0000-0000-000000000000",
            "title": "string",
            "type": "ad",
            "quizQuestions": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "preTextBlock": "string",
            "postTextBlock": "string",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "resultsMessage": "string",
            "passMessage": "string",
            "failMessage": "string",
            "navigationDisabled": true,
            "instructorAssessment": true,
            "questionSkipEnabled": true,
            "isProctored": true,
            "allowToResume": true,
            "assetType": "string"
          },
          "topicId": "00000000-0000-0000-0000-000000000000",
          "